<?php
/*************************************************************************************
 * xul.php
 * ---------------
 * Author: Alexey Gubanov (ragnaar@mozilla-russia.org)
 * Copyright: (c) 2006 Alexey Gubanov (http://www.mozilla-russia.org/)
 * Release Version: 1.0
 * CVS Revision Version: $Revision: 1.1 $
 * Date Started: 2006/12/15
 * Last Modified: $Date: 2006/12/19 09:59:01 $
 *
 * XUL 1.0 language file for GeSHi.
 *
 * CHANGES
 * -------
 * 2006/12/15 (1.0)
 *   -  First Release
 *
 *************************************************************************************
 *
 *     This file is part of GeSHi.
 *
 *   GeSHi is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   GeSHi is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with GeSHi; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 ************************************************************************************/

$language_data = array (
	'LANG_NAME' => 'XUL',
	'COMMENT_SINGLE' => array(),
	'COMMENT_MULTI' => array('<!--' => '-->'),
	'CASE_KEYWORDS' => GESHI_CAPS_NO_CHANGE,
	'QUOTEMARKS' => array("'", '"'),
	'ESCAPE_CHAR' => '',
	'KEYWORDS' => array(
		1 => array(
			),
		2 => array(
	/*Box Elements*/
			'&lt;box&gt;', '&lt;bbox&gt;', '&lt;hbox&gt;', '&lt;vbox&gt;',
			'&lt;box', '&lt;bbox', '&lt;hbox', '&lt;vbox',
			'&lt;/box&gt;', '&lt;/bbox&gt;', '&lt;/hbox&gt;', '&lt;/vbox&gt;',

	/*Other Layout Elements*/
			'&lt;stack&gt;', '&lt;scrollbox&gt;', '&lt;deck&gt;', '&lt;arrowscrollbox&gt;',
			'&lt;stack', '&lt;scrollbox', '&lt;deck', '&lt;arrowscrollbox',
			'&lt;/stack&gt;', '&lt;/scrollbox&gt;', '&lt;/deck&gt;', '&lt;/arrowscrollbox&gt;',

	/*Grid Elements*/
			'&lt;grid&gt;', '&lt;columns&gt;', '&lt;column&gt;', '&lt;rows&gt;', '&lt;row&gt;',
			'&lt;grid;', '&lt;columns', '&lt;column', '&lt;rows', '&lt;row',
			'&lt;/grid&gt;', '&lt;/columns&gt;', '&lt;/column&gt;', '&lt;/rows&gt;', '&lt;/row&gt;',

	/*List Elements*/
			'&lt;listbox&gt;', '&lt;listcols&gt;', '&lt;listcol&gt;', '&lt;listitem&gt;', '&lt;listcell&gt;', '&lt;listhead&gt;', '&lt;listheader&gt;', '&lt;richlistbox&gt;', '&lt;richlistitem&gt;',
			'&lt;listbox', '&lt;listcols', '&lt;listcol', '&lt;listitem', '&lt;listcell', '&lt;listhead', '&lt;listheader', '&lt;richlistbox', '&lt;richlistitem',
			'&lt;/listbox&gt;', '&lt;/listcols&gt;', '&lt;/listcol&gt;', '&lt;/listitem&gt;', '&lt;/listcell&gt;', '&lt;/listhead&gt;', '&lt;/listheader&gt;', '&lt;/richlistbox&gt;', '&lt;/richlistitem&gt;',

	/*Tree Elements*/
			'&lt;tree&gt;', '&lt;treecols&gt;',	'&lt;treecol&gt;', '&lt;treechildren&gt;', '&lt;treeitem&gt;', '&lt;treerow&gt;', '&lt;treecell&gt;', '&lt;treeseparator&gt;',
			'&lt;tree', '&lt;treecols',	'&lt;treecol', '&lt;treechildren', '&lt;treeitem', '&lt;treerow', '&lt;treecell', '&lt;treeseparator',
			'&lt;//tree&gt;', '&lt;//treecols&gt;',	'&lt;//treecol&gt;', '&lt;//treechildren&gt;', '&lt;//treeitem&gt;', '&lt;//treerow&gt;', '&lt;//treecell&gt;', '&lt;//treeseparator&gt;',

	/*Frames*/
			'&lt;iframe&gt;', '&lt;browser&gt;', '&lt;tabbrowser&gt;', '&lt;editor&gt;',
			'&lt;iframe', '&lt;browser', '&lt;tabbrowser', '&lt;editor',
			'&lt;/iframe&gt;', '&lt;/browser&gt;', '&lt;/tabbrowser&gt;', '&lt;/editor&gt;',

	/*Main Widgets*/
			'&lt;button&gt;', '&lt;checkbox&gt;', '&lt;radio&gt;','&lt;textbox&gt;', '&lt;description&gt;', '&lt;label&gt;', '&lt;image&gt;', '&lt;separator&gt;', '&lt;spacer&gt;', '&lt;progressmeter&gt;',
			'&lt;button', '&lt;checkbox', '&lt;radio','&lt;textbox', '&lt;description', '&lt;label', '&lt;image', '&lt;separator', '&lt;spacer', '&lt;progressmeter',
			'&lt;/button&gt;', '&lt;/checkbox&gt;', '&lt;/radio&gt;','&lt;/textbox&gt;', '&lt;/description&gt;', '&lt;/label&gt;', '&lt;/image&gt;', '&lt;/separator&gt;', '&lt;/spacer&gt;', '&lt;/progressmeter&gt;',

	/*Menus*/
			'&lt;menubar&gt;', '&lt;menu&gt;', '&lt;menupopup&gt;', '&lt;menuitem&gt;', '&lt;menulist&gt;', '&lt;menuseparator&gt;',
			'&lt;menubar', '&lt;menu', '&lt;menupopup', '&lt;menuitem', '&lt;menulist', '&lt;menuseparator',
			'&lt;/menubar&gt;', '&lt;/menu&gt;', '&lt;/menupopup&gt;', '&lt;/menuitem&gt;', '&lt;/menulist&gt;', '&lt;/menuseparator&gt;',

	/*Popups*/
			'&lt;popupset&gt;', '&lt;popup&gt;', '&lt;tooltip&gt;',
			'&lt;popupset', '&lt;popup', '&lt;tooltip',
			'&lt;/popupset&gt;', '&lt;/popup&gt;', '&lt;/tooltip&gt;',

	/*Toolbars*/
			'&lt;toolbox&gt;', '&lt;toolbar&gt;', '&lt;toolbarpalette&gt;', '&lt;toolbarset&gt;', '&lt;toolbarbutton&gt;', '&lt;toolbaritem&gt;', '&lt;toolbarseparator&gt;', '&lt;toolbarspacer&gt;', '&lt;toolbarspring&gt;', '&lt;toolbargrippy&gt;',
			'&lt;toolbox', '&lt;toolbar', '&lt;toolbarpalette', '&lt;toolbarset', '&lt;toolbarbutton', '&lt;toolbaritem', '&lt;toolbarseparator', '&lt;toolbarspacer', '&lt;toolbarspring', '&lt;toolbargrippy',
			'&lt;/toolbox&gt;', '&lt;/toolbar&gt;', '&lt;/toolbarpalette&gt;', '&lt;/toolbarset&gt;', '&lt;/toolbarbutton&gt;', '&lt;/toolbaritem&gt;', '&lt;/toolbarseparator&gt;', '&lt;/toolbarspacer&gt;', '&lt;/toolbarspring&gt;', '&lt;/toolbargrippy&gt;',

	/*Tabboxes*/
			'&lt;tabbox&gt;', '&lt;tabs&gt;', '&lt;tab&gt;', '&lt;tabpanels&gt;', '&lt;tabpanel&gt;',
			'&lt;tabbox', '&lt;tabs', '&lt;tab', '&lt;tabpanels', '&lt;tabpanel',
			'&lt;/tabbox&gt;', '&lt;/tabs&gt;', '&lt;/tab&gt;', '&lt;/tabpanels&gt;', '&lt;/tabpanel&gt;',

	/*Status Bars*/
			'&lt;statusbar&gt;', '&lt;statusbarpanel&gt;',
			'&lt;statusbar', '&lt;statusbarpanel',
			'&lt;/statusbar&gt;', '&lt;/statusbarpanel&gt;',

	/*Group Elements*/
			'&lt;radiogroup&gt;', '&lt;groupbox&gt;', '&lt;caption&gt;',
			'&lt;radiogroup', '&lt;groupbox', '&lt;caption',
			'&lt;/radiogroup&gt;', '&lt;/groupbox&gt;', '&lt;/caption&gt;',

	/*Miscellaneous Widgets*/
			'&lt;colorpicker&gt;', '&lt;splitter&gt;', '&lt;grippy&gt;', '&lt;scrollbar&gt;', '&lt;scrollcorner&gt;',
			'&lt;colorpicker', '&lt;splitter', '&lt;grippy', '&lt;scrollbar', '&lt;scrollcorner',
			'&lt;/colorpicker&gt;', '&lt;/splitter&gt;', '&lt;/grippy&gt;', '&lt;/scrollbar&gt;', '&lt;/scrollcorner&gt;',

	/*Keyboard Shortcuts*/
			'&lt;keyset&gt;', '&lt;key&gt;',
			'&lt;keyset', '&lt;key',
			'&lt;/keyset&gt;', '&lt;/key&gt;',

	/*Broadcast Elements*/
			'&lt;broadcasterset&gt;', '&lt;broadcaster&gt;', '&lt;observes&gt;', '&lt;commandset&gt;','&lt;command&gt;',
			'&lt;broadcasterset', '&lt;broadcaster', '&lt;observes', '&lt;commandset','&lt;command',
			'&lt;/broadcasterset&gt;', '&lt;/broadcaster&gt;', '&lt;/observes&gt;', '&lt;/commandset&gt;','&lt;/command&gt;',

	/*Templates*/
			'&lt;template&gt;', '&lt;rule&gt;', '&lt;bindings&gt;', '&lt;binding&gt;', '&lt;action&gt;', '&lt;conditions&gt;', '&lt;content&gt;', '&lt;triple&gt;', '&lt;member&gt;', '&lt;textnode&gt;',
			'&lt;template', '&lt;rule', '&lt;bindings', '&lt;binding', '&lt;action', '&lt;conditions', '&lt;content', '&lt;triple', '&lt;member', '&lt;textnode',
			'&lt;/template&gt;', '&lt;/rule&gt;', '&lt;/bindings&gt;', '&lt;/binding&gt;', '&lt;/action&gt;', '&lt;/conditions&gt;', '&lt;/content&gt;', '&lt;/triple&gt;', '&lt;/member&gt;', '&lt;/textnode&gt;',

	/*Wizard Elements*/
			'&lt;wizard&gt;', '&lt;wizardpage&gt;',
			'&lt;wizard', '&lt;wizardpage',
			'&lt;/wizard&gt;', '&lt;/wizardpage&gt;',

	/*Windows and Scripts*/
			'&lt;window&gt;', '&lt;dialog&gt;', '&lt;dialogheader&gt;', '&lt;page&gt;', '&lt;overlay&gt;', '&lt;script&gt;', '&lt;titlebar&gt;', '&lt;resizer&gt;', '&lt;stringbundle&gt;', '&lt;stringbundleset&gt;',
			'&lt;window', '&lt;dialog', '&lt;dialogheader', '&lt;page', '&lt;overlay', '&lt;script', '&lt;titlebar', '&lt;resizer', '&lt;stringbundle', '&lt;stringbundleset',
			'&lt;/window&gt;', '&lt;/dialog&gt;', '&lt;/dialogheader&gt;', '&lt;/page&gt;', '&lt;/overlay&gt;', '&lt;/script&gt;', '&lt;/titlebar&gt;', '&lt;/resizer&gt;', '&lt;/stringbundle&gt;', '&lt;/stringbundleset&gt;',

	/*Preferences*/
			'&lt;prefwindow&gt;', '&lt;prefpane&gt;', '&lt;preferences&gt;', '&lt;preference&gt;',
			'&lt;prefwindow', '&lt;prefpane', '&lt;preferences', '&lt;preference',
			'&lt;/prefwindow&gt;', '&lt;/prefpane&gt;', '&lt;/preferences&gt;', '&lt;/preference&gt;',

			'&gt;', '&lt;', '/&gt;'
			),
		3 => array(
			'acceltext', 'accessible', 'accesskey', 'afterselected', 'align', 'allowevents', 'allownegativeassertions', 'alternatingbackground', 'alwaysopenpopup', 'attribute', 'autoCheck', 'autocheck', 'autocompleteenabled', 'autocompletepopup', 'autocompletesearch', 'autocompletesearchparam', 'autoFill', 'autoFillAfterMatch', 'autoscroll',
			'beforeselected', 'buttonaccesskeyaccept', 'buttonaccesskeycancel', 'buttonaccesskeydisclosure', 'buttonaccesskeyextra1', 'buttonaccesskeyextra2', 'buttonaccesskeyhelp', 'buttonalign', 'buttondir', 'buttonlabelaccept', 'buttonlabelcancel', 'buttonlabeldisclosure', 'buttonlabelextra1', 'buttonlabelextra2', 'buttonlabelhelp', 'buttonorient', 'buttonpack', 'buttons',
			'CheckboxStateChange', 'checked', 'checkState', 'class', 'closebutton', 'coalesceduplicatearcs', 'collapse', 'collapsed', 'color', 'cols', 'command', 'commandupdater', 'completedefaultindex', 'container', 'containment', 'contentcontextmenu', 'contenttooltip', 'context', 'contextmenu', 'control', 'crop', 'curpos', 'current', 'currentset', 'customindex', 'customizable', 'cycler',
			'datasources', 'default', 'defaultButton', 'defaultset', 'description', 'dir', 'disableAutocomplete', 'disableautocomplete', 'disableautoselect', 'disableclose', 'disabled', 'disablehistory', 'disableKeyNavigation', 'disablekeynavigation', 'disablesecurity', 'dlgType', 'DOMAttrModified', 'DOMMenuItemActive', 'DOMMenuItemInactive', 'DOMMouseScroll', 'DOMNodeInserted', 'DOMNodeRemoved', 'dragging',
			'editable', 'editortype', 'element', 'empty', 'enableColumnDrag', 'enablehistory', 'equalsize', 'eventnode', 'events',
			'firstpage', 'first-tab', 'fixed', 'flags', 'flex', 'focused', 'forceComplete', 'forcecomplete',
			'grippyhidden', 'grippytooltiptext', 'group',
			'handleCtrlPageUpDown', 'handleCtrlPageUpDown', 'handleCtrlTab', 'height', 'helpURI', 'hidden', 'hidechrome', 'hidecolumnpicker', 'hideheader', 'homepage',
			'icon', 'id', 'ignoreBlurWhileSearching', 'ignoreblurwhilesearching', 'ignoreincolumnpicker', 'ignorekeys', 'image', 'increment', 'inputtooltiptext', 'insertafter', 'insertbefore', 'instantApply', 'inverted', 'iscontainer', 'isempty',
			'key', 'keycode', 'keytext',
			'label', 'lastpage', 'lastSelected', 'last-tab', 'left', 'linkedpanel',
			'maxheight', 'maxlength', 'maxpos', 'maxrows', 'maxrows', 'maxwidth', 'member', 'menu', 'menuactive', 'minheight', 'minResultsForPopup', 'minresultsforpopup', 'minwidth', 'mode', 'modifiers', 'mousethrough', 'multiline',
			'name', 'next', 'noautohide', 'nomatch',
			'observes', 'onbeforeaccept', 'onblur', 'onbookmarkgroup', 'onbroadcast', 'onchange', 'onclick', 'onclose', 'onclosetab', 'oncommand', 'oncommandupdate', 'oncontextmenu', 'ondblclick', 'ondialogcancel', 'ondialogdisclosure', 'ondialoghelp', 'ondragdrop', 'ondragenter', 'ondragexit', 'ondraggesture', 'ondragover', 'onerror', 'onerrorcommand', 'onfocus', 'oninput', 'onkeydown', 'onkeypress', 'onkeyup', 'onload', 'onmousedown', 'onmousemove', 'onmouseout', 'onmouseover', 'onmouseup', 'onnewtab', 'onoverflow', 'onoverflowchanged', 'onpageadvanced', 'onpagehide', 'onpagerewound', 'onpageshow', 'onpaneload', 'onpopuphiding', 'onpopupshowing', 'onpopupshown', 'onsearchcomplete', 'onselect', 'onsyncfrompreference', 'onsynctopreference', 'ontextcommand', 'ontextentered', 'ontextrevert', 'ontextreverted', 'onunderflow', 'onunload', 'onwizardback', 'onwizardcancel', 'onwizardfinish', 'onwizardnext', 'open', 'ordinal', 'orient',
			'pack', 'pageid', 'pageincrement', 'pagestep', 'parent', 'parsetype', 'persist', 'phase', 'pickertooltiptext', 'popup', 'position', 'preference', 'preference-editable', 'primary', 'properties',
			'RadioStateChange', 'readonly', 'ref', 'removeelement', 'resizeafter', 'resizebefore', 'rows',
			'screenX', 'screenY', 'searchSessions', 'selected', 'selectedIndex', 'seltype', 'setfocus', 'showCommentColumn', 'showcommentcolumn', 'showpopup', 'size', 'sizemode', 'sizetopopup', 'sizetopopup', 'sort', 'sortActive', 'sortDirection', 'sortResource', 'sortResource2', 'src', 'state', 'statedatasource', 'statusbar', 'statustext', 'style', 'suppressonselect',
			'tabIndex', 'tabindex', 'tabScrolling', 'tabscrolling', 'targets', 'template', 'timeout', 'title', 'toolbarname', 'tooltip', 'tooltiptext', 'tooltiptextnew', 'top', 'type ',
			'uri', 'userAction',
			'validate', 'value',
			'wait-cursor', 'width', 'windowtype', 'wrap',
			'xmlns:html', 'xmlns'
			)
		),
	'SYMBOLS' => array(
		'/', '=', '%', '[', ']'
		),
	'CASE_SENSITIVE' => array(
		GESHI_COMMENTS => false,
		1 => false,
		2 => false,
		3 => false,
		),
	'STYLES' => array(
		'KEYWORDS' => array(
			1 => 'color: #b1b100;',
			2 => 'color: #000000; font-weight: bold;',
			3 => 'color: #000066;'
			),
		'COMMENTS' => array(
			'MULTI' => 'color: #808080; font-style: italic;'
			),
		'ESCAPE_CHAR' => array(
			0 => 'color: #000099; font-weight: bold;'
			),
		'BRACKETS' => array(
			0 => 'color: #66cc66;'
			),
		'STRINGS' => array(
			0 => 'color: #ff0000;'
			),
		'NUMBERS' => array(
			0 => 'color: #cc66cc;'
			),
		'METHODS' => array(
			),
		'SYMBOLS' => array(
			0 => 'color: #66cc66;'
			),
		'SCRIPT' => array(
			0 => 'color: #00bbdd;',
			1 => 'color: #ddbb00;',
			2 => 'color: #009900;'
			),
		'REGEXPS' => array(
			)
		),
	'URLS' => array(
		1 => '',
		2 => 'http://xulplanet.com/references/elemref/ref_{FNAME}.html',
		3 => ''
		),
	'OOLANG' => false,
	'OBJECT_SPLITTERS' => array(
		),
	'REGEXPS' => array(
		),
	'STRICT_MODE_APPLIES' => GESHI_ALWAYS,
	'SCRIPT_DELIMITERS' => array(
		0 => array(
			'<!DOCTYPE' => '>', '<!DOCTYPE window [' => ']>', '<!ENTITY' => '>'
			),
		1 => array(
			'&' => ';'
			),
		2 => array(
			'<' => '>'
			)
	),
	'HIGHLIGHT_STRICT_BLOCK' => array(
		0 => false,
		1 => false,
		2 => true
		)
);

?>
